## atari-bootstrap 3.2-3

=== debian/changelog ===
atari-bootstrap (3.2-3) frozen unstable; urgency=low

  * Changed "endif" in postrm into "fi".

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 21 Apr 1998 10:57:33 +0200

atari-bootstrap (3.2-2) unstable; urgency=low

  * Fix upstream location in copyright file (still mentioned ataboot-3.1)
  * Also include rawwrite.ttp (to write disk images under TOS).
  * Remove /etc/ataboot.conf in postrm if purging package.
  * Remove ataboot.conf from source package (leftover from testing)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 26 Feb 1998 15:14:31 +0100

atari-bootstrap (3.2-1) unstable; urgency=low

  * Initial Release as Debian package.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 3 Feb 1998 14:49:38 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Roman.Hodek@informatik.uni-erlangen.de"
End:
