## atari-bootstrap 3.3-1

=== rawwrite/Makefile ===

HOSTCC = m68k-tos-gcc
HOSTFLAGS = -m68030 -m68881 -O2 -fomit-frame-pointer -Wall

all: rawwrite.ttp

rawwrite.ttp: rawwrite.o
	$(HOSTCC) -o $@ $^

rawwrite.o: rawwrite.c
	$(HOSTCC) $(HOSTFLAGS) -c -o $@ $<

clean:
	rm -f *.o *.ttp
