=== debian/changelog ===
atari-bootstrap (3.3-1) unstable; urgency=low

  * New upstream version:
     * Support for Centurbo2 Falcon accelerator board.
     * Allow compilation with newer kernel headers.
     * Fix recognition of last 4 MB on Afterburner.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 29 Oct 1998 11:30:56 +0100
