=== debian/control ===
Source: atari-bootstrap
Section: base
Priority: required
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.4.0.0

Package: atari-bootstrap
Architecture: m68k
Description: Bootloader for Linux/m68k kernels for Atari TOS
 The Atari bootstrap is needed to boot Linux/m68k kernels on Atari
 machines.
 .
 This package also includes a bootstrap version supporting BOOTP/TFTP
 booting, and a configuration tool, atabootconfig. Furthermore it
 provides boot floppy images that formerly were included in the
 syslinux package, and a tool rawwrite.ttp to write disk images under TOS.
