## atari-bootstrap 3.3-4

=== debian/changelog ===
atari-bootstrap (3.3-4) unstable; urgency=low

  * added Build-Depends, bumped Standards-Version (closes: #70144)
  * updated my mail address

 -- Roman Hodek <roman@hodek.net>  Sun, 29 Feb 2004 14:52:20 +0100

atari-bootstrap (3.3-3) unstable; urgency=low

  * FHS transition (Standards-Version: 3.0.1).
  * /usr/lib/atari-bootstrap moved to /usr/share/atari-bootstrap, as the
    directory contains only arch-independent data.
  * Packaged with an .orig.tar.gz now (Closes: #44175) The bootstrap
    sources and rawwrite.c are now in the toplevel dir. rawwrite.c is
    still contributed and not in the .orig.tar.gz.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 12 Nov 1999 15:10:17 +0100

atari-bootstrap (3.3-2) unstable; urgency=low

  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 8 Jul 1999 13:45:49 +0200
