=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: atari-bootstrap
 Section: base
 Priority: required
-Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 2.4.0.0
+Maintainer: Roman Hodek <roman@hodek.net>
+Build-Depends: debhelper, sharutils, dosfstools
+Standards-Version: 3.6.1
 
 Package: atari-bootstrap
 Architecture: m68k
