=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 pkg = atari-bootstrap
 tmp = debian/tmp
-lib = $(tmp)/usr/lib/$(pkg)
+lib = $(tmp)/usr/share/$(pkg)
 sbin = $(tmp)/usr/sbin
 
 # The binaries are only rebuilt if a cross compiler is available; otherwise,
@@ -18,7 +18,7 @@
 # the kernel source dir.
 build:
 	$(checkdir)
-	@set -e; if type -p m68k-mint-gcc >/dev/null; then \
+	@set -e; if false && type -p m68k-mint-gcc >/dev/null; then \
 		echo "m68k-mint-gcc cross compiler available, building bootstrap"; \
 		inc=/usr/src/linux/include; \
 		if [ `arch` != "m68k" ] && type -p m68k-linux-gcc >/dev/null; then \
@@ -26,31 +26,35 @@
 			sed -n '/starts here:$$/,/&End of search/s/^ \(\/.*\)/\1/p' | \
 			tail -1`/linux/..; \
 		fi; \
-		$(MAKE) -C src KERNELINC=$$inc; \
-		mv src/bootstrap ataboot; \
-		$(MAKE) -C src clean; \
-		$(MAKE) -C src USE_BOOTP=y KERNELINC=$$inc; \
-		mv src/bootstrap ataboot-bootp; \
-		$(MAKE) -C rawwrite; \
-		mv rawwrite/rawwrite.ttp rawwrite.ttp; \
+		$(MAKE) KERNELINC=$$inc; \
+		mv bootstrap ataboot; \
+		gzip -9c ataboot | uuencode ataboot.gz >debian/ataboot.gz.uue; \
+		$(MAKE) clean; \
+		$(MAKE) USE_BOOTP=y KERNELINC=$$inc; \
+		mv bootstrap ataboot-bootp; \
+		gzip -9c ataboot-bootp | uuencode ataboot-bootp.gz >debian/ataboot-bootp.gz.uue; \
+		$(MAKE) -f Makefile.rawwrite; \
+		gzip -9c rawwrite.ttp | uuencode rawwrite.ttp.gz >debian/rawwrite.ttp.gz.uue; \
 	else \
 		echo "No cross compiler available -- not rebuilding binaries"; \
+		echo "Using prepacked ones instead."; \
+		uudecode -o /dev/stdout debian/ataboot.gz.uue | gzip -dc >ataboot; \
+		uudecode -o /dev/stdout debian/ataboot-bootp.gz.uue | gzip -dc >ataboot-bootp; \
+		uudecode -o /dev/stdout debian/rawwrite.ttp.gz.uue | gzip -dc >rawwrite.ttp; \
+		chmod 755 ataboot ataboot-bootp rawwrite.ttp; \
 	fi
 	touch build
 
 clean:
 	$(checkdir)
-	-rm -f build
-	$(MAKE) -C src clean
-	$(MAKE) -C rawwrite clean
-	if [ ! -f ataboot -o ! -f ataboot-bootp -o ! -f rawwrite.ttp ]; then \
-		echo "Precompiled binaries don't exist!"; \
-		echo "Do a make in toplevel dir on a machine with m68k-mint-gcc first!"; \
-		exit 1; \
-	fi
-	-rm -f img*Atari
-	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	rm -f build
+	$(MAKE) clean
+	$(MAKE) -f Makefile.rawwrite clean
+	dh_clean
+	rm -f ataboot ataboot-bootp rawwrite.ttp
+	rm -f img*Atari
+	rm -f `find . -name "*~"`
+	rm -rf debian/tmp debian/files* core debian/substvars
 
 binary-indep: build
 	$(checkdir)
@@ -74,14 +78,15 @@
 	# install config script
 	install -m 755 atabootconfig $(sbin)
 	# build and install boot disk images
+	chmod +x ./builddisk
 	./builddisk 1440
 	./builddisk 720
 	install -m 644 img*Atari $(lib)
 	gzip -9f $(lib)/img*
 	# install README for lib dir
 	install -m 644 debian/README.lib $(lib)/README
-	dh_installdocs src/ataboot.txt
-	dh_installchangelogs src/CHANGES
+	dh_installdocs ataboot.txt
+	dh_installchangelogs CHANGES
 	dh_installmanpages
 	dh_strip
 	dh_compress
@@ -94,7 +99,7 @@
 	dh_builddeb
 
 define checkdir
-	test -f src/bootstrap.c -a -f debian/rules
+	test -f bootstrap.c -a -f debian/rules
 endef
 
 binary:		binary-indep binary-arch
